#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Time-stamp: <2017-01-04 23:41 ycopin@lyonovae03.in2p3.fr>
# Copyright: 2012-2016, Clément Buton, Yannick Copin

from setuptools import setup


def get_version(filename='pyExtinction/__init__.py'):
    """Read version from __init__.py"""

    with open(filename) as file:
        for line in file:
            if line.startswith('__version__'):
                return eval(line.split('=')[-1])


name = 'pyExtinction'
version = get_version()

setup(name=name, version=version,
      description="Atmospheric extinction, from Buton et al. 2013A&A...549A...8B",
      url="https://gitlab.in2p3.fr/ycopin/pyExtinction",
      license="CeCILL-C FREE SOFTWARE LICENSE",
      author="Clément Buton",
      author_email="c.buton@ipnl.in2p3.fr",
      maintainer="Yannick Copin",
      maintainer_email="y.copin@ipnl.in2p3.fr",
      packages=[name],
      package_data={name: ['data/*.*']},
      scripts=['scripts/atmosphericExtinction.py'],
      )
